A wallet's callouts, newest first
curl --request GET \
--url https://api.fomoscan.sh/v2/pump/thesis/wallet/{wallet} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fomoscan.sh/v2/pump/thesis/wallet/{wallet}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fomoscan.sh/v2/pump/thesis/wallet/{wallet}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"count": 123,
"hasMore": true,
"nextBefore": "<string>",
"items": [
{
"id": "<string>",
"wallet": "<string>",
"userName": "<string>",
"profileImage": "<string>",
"xUsername": "<string>",
"isVerified": true,
"coinMint": "<string>",
"chain": "<string>",
"coinSymbol": "<string>",
"coinName": "<string>",
"thesis": "<string>",
"mediaUrl": "<string>",
"calledOutAtMcap": 123,
"multiple": 123,
"maxMultiplier": 123,
"createdAt": 123,
"likes": 123,
"commentCount": 123,
"replyCount": 123,
"viewCount": 123,
"position": {
"amountHeld": 123,
"valueUsd": 123,
"pnlUsd": 123,
"pnlPercentage": 123,
"realizedPnlUsd": 123,
"costBasisAmount": 123,
"costBasisUsd": 123,
"amountBought": 123,
"amountBoughtUsd": 123,
"avgEntryPriceUsd": 123,
"avgEntryMcapUsd": 123,
"isExited": true,
"observedAt": 123
}
}
]
}Pump
A wallet's callouts, newest first
The 25 most recent callouts posted by one wallet. Same paging as the token wall.
- Live: call with no
beforeon a timer; dedupe onid. beforeis a calloutid; an unknown one is a 400.hasMoreis true while older callouts remain;nextBeforeis where they start.
Price: 10 CU per call.
GET
/
v2
/
pump
/
thesis
/
wallet
/
{wallet}
A wallet's callouts, newest first
curl --request GET \
--url https://api.fomoscan.sh/v2/pump/thesis/wallet/{wallet} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fomoscan.sh/v2/pump/thesis/wallet/{wallet}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fomoscan.sh/v2/pump/thesis/wallet/{wallet}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"count": 123,
"hasMore": true,
"nextBefore": "<string>",
"items": [
{
"id": "<string>",
"wallet": "<string>",
"userName": "<string>",
"profileImage": "<string>",
"xUsername": "<string>",
"isVerified": true,
"coinMint": "<string>",
"chain": "<string>",
"coinSymbol": "<string>",
"coinName": "<string>",
"thesis": "<string>",
"mediaUrl": "<string>",
"calledOutAtMcap": 123,
"multiple": 123,
"maxMultiplier": 123,
"createdAt": 123,
"likes": 123,
"commentCount": 123,
"replyCount": 123,
"viewCount": 123,
"position": {
"amountHeld": 123,
"valueUsd": 123,
"pnlUsd": 123,
"pnlPercentage": 123,
"realizedPnlUsd": 123,
"costBasisAmount": 123,
"costBasisUsd": 123,
"amountBought": 123,
"amountBoughtUsd": 123,
"avgEntryPriceUsd": 123,
"avgEntryMcapUsd": 123,
"isExited": true,
"observedAt": 123
}
}
]
}Authorizations
B2B API key (fsk_live_… / fsk_test_…), issued by FomoScan. Also accepted via X-Api-Key.
Path Parameters
Required string length:
1 - 128Query Parameters
Previous page’s nextBefore.
Response
200 - application/json
Default Response
